import { EditContentProps } from './interface';
import { Component } from 'solid-js';
import './style/edit.css';
export declare const CopyText: Component<Omit<EditContentProps, "style" | "class"> & {
    ref?: HTMLElement | ((el: HTMLElement) => void);
    style?: string | import("solid-js").JSX.CSSProperties;
    className?: string | string[] | typeof import("@cn-ui/use").classNames;
    class?: string | string[] | typeof import("@cn-ui/use").classNames;
    classList?: typeof import("@cn-ui/use").classNames | {
        [k: string]: boolean;
    };
}>;
export declare const EllipsisText: Component<Omit<{
    line: number;
    children: string;
}, "style" | "class"> & {
    ref?: HTMLElement | ((el: HTMLElement) => void);
    style?: string | import("solid-js").JSX.CSSProperties;
    className?: string | string[] | typeof import("@cn-ui/use").classNames;
    class?: string | string[] | typeof import("@cn-ui/use").classNames;
    classList?: typeof import("@cn-ui/use").classNames | {
        [k: string]: boolean;
    };
}>;
